Subject: bug#22322: New Feature -- dired: Option to create a directory when copying/moving.

From: Protesilaos Stavrou <[email-masked]>
Date: Sun, 07 Feb 2021 19:55:47 +0200

On 2021-02-07, 18:06 +0100, Lars Ingebrigtsen <[email-masked]> wrote:

> Keith David Bershatsky <[email-masked]> writes:
>
>> As a suggestion, perhaps the Emacs team would be interested in
>> presenting the user with an option to create a new directory when
>> copying/moving in dired-mode.  This is something I use quite
>> frequently in my own setup, because it saves me an extra step by
>> obviating the need to create the directory beforehand.
>>
>> The following is a working example of the above-mentioned concept,
>> which is not intended to be a patch per se.
>
> (I'm going through old bug reports that unfortunately got little response at
> the time.)
>
> Sounds like a good idea to me.  Could you work your code into a patch?

Hi Lars!  Is this not already covered by dired-create-destination-dirs?

-- 
Protesilaos Stavrou
protesilaos.com